<template>
  <h1>Margins</h1>

  <p>
    All margins helpers starts with a <code>-m</code>, followed by other characters :
  </p>

  <ul>
    <li><code>vX</code> is for vertical margins</li>
    <li><code>hX</code> is for horizontal margins</li>
    <li><code>tX</code> is for top margin</li>
    <li><code>bX</code> is for bottom margin</li>
    <li><code>X</code> is for bottom margin</li>
  </ul>

  <template v-for="(variants, name) in margins" :key="name">
    <h3>{{ name }}</h3>
    <div v-for="v in variants" :key="v" class="-doc-outline--alt -mbd">
      <div :class="`-doc-outline ${v}`"><code>{{ v }}</code> class</div>
    </div>
  </template>
</template>

<script>
const margins = {
  'Vertical margins': [
    '-mv0',
    '-mvd',
    '-mvl',
  ],
  'Horizontal margins': [
    '-mhd',
  ],
  'Bottom margin': [
    '-mbd',
    '-mbm',
    '-mbl',
  ],
  'Top margin': [
    '-mt0',
    '-mtd',
    '-mtm',
    '-mtl',
  ],
  'All sides margin': [
    '-md',
  ],
}
export default {
  name: 'MarginsView',
  data () {
    return {
      margins,
    }
  },
  created () {
    this.$setTitle('Margins')
  },
}
</script>
